com.sun.syndication.feed.synd

## Class SyndEntryImpl

- java.lang.Object
- - com.sun.syndication.feed.synd.SyndEntryImpl

All Implemented Interfaces:
  CopyFrom, Extendable, SyndEntry, java.io.Serializable, java.lang.Cloneable

    public class SyndEntryImpl
    extends java.lang.Object
    implements java.io.Serializable, SyndEntry

Bean for entries of SyndFeedImpl feeds.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.util.Set` `CONVENIENCE_PROPERTIES` Unmodifiable Set containing the convenience properties of this class.

### Constructor Summary

Constructors
`` `SyndEntryImpl()` Default constructor.
`protected` `SyndEntryImpl(java.lang.Class beanClass, java.util.Set convenienceProperties)` For implementations extending SyndEntryImpl to be able to use the ObjectBean functionality with extended interfaces.

### Method Summary

Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`void` `copyFrom(java.lang.Object obj)` Copies all the properties of the given bean into this one.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getAuthor()` Returns the entry author.
`java.util.List` `getAuthors()` Returns the entry authors.
`java.util.List` `getCategories()` Returns the entry categories.
`java.util.List` `getContents()` Returns the entry contents.
`java.util.List` `getContributors()` Returns the feed author.
`SyndContent` `getDescription()` Returns the entry description.
`java.util.List` `getEnclosures()` Returns the entry enclosures.
`java.lang.Object` `getForeignMarkup()` Returns foreign markup found at channel level.
`java.lang.Class` `getInterface()` Returns the interface the copyFrom works on.
`java.lang.String` `getLink()` Returns the entry link.
`java.util.List` `getLinks()` Returns the links
`Module` `getModule(java.lang.String uri)` Returns the module identified by a given URI.
`java.util.List` `getModules()` Returns the entry modules.
`java.util.Date` `getPublishedDate()` Returns the entry published date.
`SyndFeed` `getSource()` Returns the entry source.
`java.lang.String` `getTitle()` Returns the entry title.
`SyndContent` `getTitleEx()` Returns the entry title as a text construct.
`java.util.Date` `getUpdatedDate()` Returns the updatedDate
`java.lang.String` `getUri()` Returns the entry URI.
`java.lang.Object` `getWireEntry()` Return the original item this SyndEntry is generated from.
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setAuthor(java.lang.String author)` Sets the entry author.
`void` `setAuthors(java.util.List authors)` Sets the entry author.
`void` `setCategories(java.util.List categories)` Sets the entry categories.
`void` `setContents(java.util.List contents)` Sets the entry contents.
`void` `setContributors(java.util.List contributors)` Sets the feed contributors.
`void` `setDescription(SyndContent description)` Sets the entry description.
`void` `setEnclosures(java.util.List enclosures)` Sets the entry enclosures.
`void` `setForeignMarkup(java.lang.Object foreignMarkup)` Sets foreign markup found at channel level.
`void` `setLink(java.lang.String link)` Sets the entry link.
`void` `setLinks(java.util.List links)` Set the links
`void` `setModules(java.util.List modules)` Sets the entry modules.
`void` `setPublishedDate(java.util.Date publishedDate)` Sets the entry published date.
`void` `setSource(SyndFeed source)` Sets the entry source feed (for use if different from containing feed)
`void` `setTitle(java.lang.String title)` Sets the entry title.
`void` `setTitleEx(SyndContent title)` Sets the entry title as a text construct.
`void` `setUpdatedDate(java.util.Date updatedDate)` Set the updatedDate
`void` `setUri(java.lang.String uri)` Sets the entry URI.
`void` `setWireEntry(java.lang.Object wireEntry)`
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CONVENIENCE_PROPERTIES

    public static final java.util.Set CONVENIENCE_PROPERTIES

Unmodifiable Set containing the convenience properties of this class.

Convenience properties are mapped to Modules, for cloning the convenience properties can be ignored as the will be copied as part of the module cloning.

### Constructor Detail

#### SyndEntryImpl

    protected SyndEntryImpl(java.lang.Class beanClass,
                 java.util.Set convenienceProperties)

For implementations extending SyndEntryImpl to be able to use the ObjectBean functionality with extended interfaces.

Parameters:
  `beanClass` -
  `convenienceProperties` - set containing the convenience properties of the SyndEntryImpl (the are ignored during cloning, check CloneableBean for details).

#### SyndEntryImpl

    public SyndEntryImpl()

Default constructor. All properties are set to null.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Specified by:
  `clone` in interface `SyndEntry`
Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getUri

    public java.lang.String getUri()

Returns the entry URI.

How the entry URI maps to a concrete feed type (RSS or Atom) depends on the concrete feed type. This is explained in detail in Rome documentation, Feed and entry URI mapping.

The returned URI is a normalized URI as specified in RFC 2396bis.

Specified by:
  `getUri` in interface `SyndEntry`
Returns:
  the entry URI, null if none.

#### setUri

    public void setUri(java.lang.String uri)

Sets the entry URI.

How the entry URI maps to a concrete feed type (RSS or Atom) depends on the concrete feed type. This is explained in detail in Rome documentation, Feed and entry URI mapping.

Specified by:
  `setUri` in interface `SyndEntry`
Parameters:
  `uri` - the entry URI to set, null if none.

#### getTitle

    public java.lang.String getTitle()

Returns the entry title.

Specified by:
  `getTitle` in interface `SyndEntry`
Returns:
  the entry title, null if none.

#### setTitle

    public void setTitle(java.lang.String title)

Sets the entry title.

Specified by:
  `setTitle` in interface `SyndEntry`
Parameters:
  `title` - the entry title to set, null if none.

#### getTitleEx

    public SyndContent getTitleEx()

Returns the entry title as a text construct.

Specified by:
  `getTitleEx` in interface `SyndEntry`
Returns:
  the entry title, null if none.

#### setTitleEx

    public void setTitleEx(SyndContent title)

Sets the entry title as a text construct.

Specified by:
  `setTitleEx` in interface `SyndEntry`
Parameters:
  `title` - the entry title to set, null if none.

#### getLink

    public java.lang.String getLink()

Returns the entry link.

Specified by:
  `getLink` in interface `SyndEntry`
Returns:
  the entry link, null if none.

#### setLink

    public void setLink(java.lang.String link)

Sets the entry link.

Specified by:
  `setLink` in interface `SyndEntry`
Parameters:
  `link` - the entry link to set, null if none.

#### getDescription

    public SyndContent getDescription()

Returns the entry description.

Specified by:
  `getDescription` in interface `SyndEntry`
Returns:
  the entry description, null if none.

#### setDescription

    public void setDescription(SyndContent description)

Sets the entry description.

Specified by:
  `setDescription` in interface `SyndEntry`
Parameters:
  `description` - the entry description to set, null if none.

#### getContents

    public java.util.List getContents()

Returns the entry contents.

Specified by:
  `getContents` in interface `SyndEntry`
Returns:
  a list of SyndContentImpl elements with the entry contents, an empty list if none.

#### setContents

    public void setContents(java.util.List contents)

Sets the entry contents.

Specified by:
  `setContents` in interface `SyndEntry`
Parameters:
  `contents` - the list of SyndContentImpl elements with the entry contents to set, an empty list or null if none.

#### getEnclosures

    public java.util.List getEnclosures()

Returns the entry enclosures.

Specified by:
  `getEnclosures` in interface `SyndEntry`
Returns:
  a list of SyndEnclosure elements with the entry enclosures, an empty list if none.

#### setEnclosures

    public void setEnclosures(java.util.List enclosures)

Sets the entry enclosures.

Specified by:
  `setEnclosures` in interface `SyndEntry`
Parameters:
  `enclosures` - the list of SyndEnclosure elements with the entry enclosures to set, an empty list or null if none.

#### getPublishedDate

    public java.util.Date getPublishedDate()

Returns the entry published date.

This method is a convenience method, it maps to the Dublin Core module date.

Specified by:
  `getPublishedDate` in interface `SyndEntry`
Returns:
  the entry published date, null if none.

#### setPublishedDate

    public void setPublishedDate(java.util.Date publishedDate)

Sets the entry published date.

This method is a convenience method, it maps to the Dublin Core module date.

Specified by:
  `setPublishedDate` in interface `SyndEntry`
Parameters:
  `publishedDate` - the entry published date to set, null if none.

#### getCategories

    public java.util.List getCategories()

Returns the entry categories.

Specified by:
  `getCategories` in interface `SyndEntry`
Returns:
  a list of SyndCategoryImpl elements with the entry categories, an empty list if none.

#### setCategories

    public void setCategories(java.util.List categories)

Sets the entry categories.

This method is a convenience method, it maps to the Dublin Core module subjects.

Specified by:
  `setCategories` in interface `SyndEntry`
Parameters:
  `categories` - the list of SyndCategoryImpl elements with the entry categories to set, an empty list or null if none.

#### getModules

    public java.util.List getModules()

Returns the entry modules.

Specified by:
  `getModules` in interface `Extendable`
Specified by:
  `getModules` in interface `SyndEntry`
Returns:
  a list of ModuleImpl elements with the entry modules, an empty list if none.

#### setModules

    public void setModules(java.util.List modules)

Sets the entry modules.

Specified by:
  `setModules` in interface `Extendable`
Specified by:
  `setModules` in interface `SyndEntry`
Parameters:
  `modules` - the list of ModuleImpl elements with the entry modules to set, an empty list or null if none.

#### getModule

    public Module getModule(java.lang.String uri)

Returns the module identified by a given URI.

Specified by:
  `getModule` in interface `Extendable`
Specified by:
  `getModule` in interface `SyndEntry`
Parameters:
  `uri` - the URI of the ModuleImpl.
Returns:
  The module with the given URI, null if none.

#### getInterface

    public java.lang.Class getInterface()

Description copied from interface: `CopyFrom`
Returns the interface the copyFrom works on.

This is useful when dealing with properties that may have multiple implementations. For example, Module.

Specified by:
  `getInterface` in interface `CopyFrom`
Returns:
  the interface the copyFrom works on.

#### copyFrom

    public void copyFrom(java.lang.Object obj)

Description copied from interface: `CopyFrom`
Copies all the properties of the given bean into this one.

Any existing properties in this bean are lost.

This method is useful for moving from one implementation of a bean interface to another. For example from the default SyndFeed bean implementation to a Hibernate ready implementation.

Specified by:
  `copyFrom` in interface `CopyFrom`
Parameters:
  `obj` - the instance to copy properties from.

#### getLinks

    public java.util.List getLinks()

Returns the links

Specified by:
  `getLinks` in interface `SyndEntry`
Returns:
  Returns the links.

#### setLinks

    public void setLinks(java.util.List links)

Set the links

Specified by:
  `setLinks` in interface `SyndEntry`
Parameters:
  `links` - The links to set.

#### getUpdatedDate

    public java.util.Date getUpdatedDate()

Returns the updatedDate

Specified by:
  `getUpdatedDate` in interface `SyndEntry`
Returns:
  Returns the updatedDate.

#### setUpdatedDate

    public void setUpdatedDate(java.util.Date updatedDate)

Set the updatedDate

Specified by:
  `setUpdatedDate` in interface `SyndEntry`
Parameters:
  `updatedDate` - The updatedDate to set.

#### getAuthors

    public java.util.List getAuthors()

Description copied from interface: `SyndEntry`
Returns the entry authors.

For Atom feeds, this returns the authors as a list of SyndPerson objects, for RSS feeds this method is a convenience method, it maps to the Dublin Core module creator.

Specified by:
  `getAuthors` in interface `SyndEntry`
Returns:
  the feed author, null if none.

#### setAuthors

    public void setAuthors(java.util.List authors)

Description copied from interface: `SyndEntry`
Sets the entry author.

For Atom feeds, this sets the authors as a list of SyndPerson objects, for RSS feeds this method is a convenience method, it maps to the Dublin Core module creator.

Specified by:
  `setAuthors` in interface `SyndEntry`
Parameters:
  `authors` - the feed author to set, null if none.

#### getAuthor

    public java.lang.String getAuthor()

Returns the entry author.

This method is a convenience method, it maps to the Dublin Core module creator.

Specified by:
  `getAuthor` in interface `SyndEntry`
Returns:
  the entry author, null if none.

#### setAuthor

    public void setAuthor(java.lang.String author)

Sets the entry author.

This method is a convenience method, it maps to the Dublin Core module creator.

Specified by:
  `setAuthor` in interface `SyndEntry`
Parameters:
  `author` - the entry author to set, null if none.

#### getContributors

    public java.util.List getContributors()

Description copied from interface: `SyndEntry`
Returns the feed author.

For Atom feeds, this returns the contributors as a list of SyndPerson objects

Specified by:
  `getContributors` in interface `SyndEntry`
Returns:
  the feed author, null if none.

#### setContributors

    public void setContributors(java.util.List contributors)

Description copied from interface: `SyndEntry`
Sets the feed contributors.

Returns contributors as a list of SyndPerson objects.

Specified by:
  `setContributors` in interface `SyndEntry`
Parameters:
  `contributors` - the feed contributors to set, null if none.

#### getSource

    public SyndFeed getSource()

Description copied from interface: `SyndEntry`
Returns the entry source.

This returns the entry source as a SyndFeed

Specified by:
  `getSource` in interface `SyndEntry`
Returns:
  the SyndFeed to which this entry is attributed

#### setSource

    public void setSource(SyndFeed source)

Description copied from interface: `SyndEntry`
Sets the entry source feed (for use if different from containing feed)

Specified by:
  `setSource` in interface `SyndEntry`
Parameters:
  `source` - the original SyndFeed that contained this article

#### getForeignMarkup

    public java.lang.Object getForeignMarkup()

Returns foreign markup found at channel level.

Specified by:
  `getForeignMarkup` in interface `SyndEntry`
Returns:
  list of JDOM nodes containing channel-level foreign markup, an empty list if none.

#### setForeignMarkup

    public void setForeignMarkup(java.lang.Object foreignMarkup)

Sets foreign markup found at channel level.

Specified by:
  `setForeignMarkup` in interface `SyndEntry`
Parameters:
  `foreignMarkup` - list of JDOM nodes containing channel-level foreign markup, an empty list if none.

#### getWireEntry

    public java.lang.Object getWireEntry()

Description copied from interface: `SyndEntry`
Return the original item this SyndEntry is generated from. The type of the object returned depends on the original type of the feed. Atom 0.3/1.0 will return com.sun.syndication.feed.atom.Entry, while RSS will return com.sun.syndication.feed.rss.Item.java. If this entry was not generated from a WireFeed, or the SyndFeed was not set to preserve the WireFeed then it will return null

Specified by:
  `getWireEntry` in interface `SyndEntry`
Returns:
  the WireFeed Item or Entry this Entry is generated from, or null

#### setWireEntry

    public void setWireEntry(java.lang.Object wireEntry)